import { ReactNode } from "react";
export type NavigationBarItem = {
    title: string;
    selected: boolean;
    startDecorator?: ReactNode;
    to?: string;
    action?: () => void;
    children?: NavigationBarItem[];
};
type ChipVariant = "plain" | "outlined" | "soft" | "solid";
export default function NerdNavigationBar({ items, navigationBarIndex, chipVariant, selectedChipVariant, }: {
    items: NavigationBarItem[];
    navigationBarIndex?: number;
    chipVariant?: ChipVariant;
    selectedChipVariant?: ChipVariant;
}): import("react/jsx-runtime").JSX.Element;
export {};
